Part Wedge/fr: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}} <!-- missing docnav -->


{{Docnav/fr
{{Docnav/fr
Line 11: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/fr
{{GuiCommand/fr
|Name=Part Wedge
|Name=Part Wedge
Line 18: Line 18:
|SeeAlso=[[Part_Primitives/fr|Part Primitives]]
|SeeAlso=[[Part_Primitives/fr|Part Primitives]]
}}
}}
</div>


==Description==
==Description==


<div class="mw-translate-fuzzy">
Crée un objet Pyramide tronquée paramétrique. Par défaut, cette pyramide tronquée a une base carrée plus grande et un carré plus petit en sommet.
Crée un objet Pyramide tronquée paramétrique. Par défaut, cette pyramide tronquée a une base carrée plus grande et un carré plus petit en sommet.
</div>

[[Image:Part_Wedge_Example.png|400px]]


==Utilisation==
==Utilisation==


See [[Part_Primitives#Usage|Part Primitives]].
=== Dimensions et placement par défaut ===


== Example ==
'''Placement:'''
L’orientation par défaut place la base sur le plan XZ et la face supérieure se situe dans la direction de l'axe Y. L'angle de la base est située par défaut aux coordonnées d'origine 0,0,0.


[[Image:Part_Wedge_Scripting_Example.png|thumb|Part Wedge from the scripting example]]
'''Face de base :'''
*X : 10 mm
*Z : 10 mm


A Part Wedge object created with the [[#Scripting|scripting example]] below is shown here.
'''Hauteur:'''
*Y : 0-10 mm


== Notes ==
'''Face du dessus:'''
*X : 2-8 mm
*Z : 2-8 mm


* The values of the coordinates of the wedge must be such that a valid solid can be create. This means that the front and rear base shapes can both be single edges, but not if they are parallel. And if one of the base shapes is a vertex the other shape must be a rectangular face.


== Properties ==
[[File:PartWedgeProperty.png|left]]
{{clear}}


See also: [[Property_editor|Property editor]].
=== Entrées paramétriques ===
{|
| [[File:PartWedgeProperty_Inputs.png]]
|
Utilisation du placement par défaut, les entrées disponibles sont:
*{{PropertyData/fr|X min/max}} : Dimension de la base selon l'axe X
*{{PropertyData/fr|Y min/max}} : Hauteur de la pyramide tronquée
*{{PropertyData/fr|Z min/max}} : Dimension de la base selon l'axe Z
*{{PropertyData/fr|X2 min/max}} : Dimension de la face du dessus selon l'axe X
*{{PropertyData/fr|Z2 min/max}} : Dimension de la face du dessus selon l'axe Z
|}


A Part Wedge object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
=== Autres exemples de pyramides tronquées ===

[[File:Wedge_examples.png]]
=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Wedge}}

* {{PropertyData|Xmin|Distance}}: The lowest X coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|Ymin|Distance}}: The Y coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|Zmin|Distance}}: The lowest Z coordinate of the front face of the wedge. The default is {{Value|0mm}}.
* {{PropertyData|X2min|Distance}}: The lowest X coordinate of the rear face of the wedge. The default is {{Value|2mm}}.
* {{PropertyData|Z2min|Distance}}: The lowest Z coordinate of the rear face of the wedge. The default is {{Value|2mm}}.
* {{PropertyData|Xmax|Distance}}: The highest X coordinate of the front face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|Ymax|Distance}}: The Y coordinate of the rear face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|Zmax|Distance}}: The highest Z coordinate of the front face of the wedge. The default is {{Value|10mm}}.
* {{PropertyData|X2max|Distance}}: The highest X coordinate of the rear face of the wedge. The default is {{Value|8mm}}.
* {{PropertyData|Z2max|Distance}}: The highest Z coordinate of the rear face of the wedge. The default is {{Value|8mm}}.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Wedge can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
wedge = FreeCAD.ActiveDocument.addObject("Part::Wedge", "myWedge")
}}

* Where {{Incode|"myWedge"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

wedge = doc.addObject("Part::Wedge", "myWedge")
wedge.Xmin = 1
wedge.Ymin = 2
wedge.Zmin = 3
wedge.X2min = 4
wedge.Z2min = 6
wedge.Xmax = 15
wedge.Ymax = 20
wedge.Zmax = 55
wedge.X2max = 10
wedge.Z2max = 12
wedge.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()
}}




Line 70: Line 113:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 10:15, 3 March 2022

Part Pyramide tronquée

Emplacement du menu
Pièce → Créer des primitives → Pyramide tronquée
Ateliers
Part
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

Crée un objet Pyramide tronquée paramétrique. Par défaut, cette pyramide tronquée a une base carrée plus grande et un carré plus petit en sommet.

Utilisation

See Part Primitives.

Example

Part Wedge from the scripting example

A Part Wedge object created with the scripting example below is shown here.

Notes

  • The values of the coordinates of the wedge must be such that a valid solid can be create. This means that the front and rear base shapes can both be single edges, but not if they are parallel. And if one of the base shapes is a vertex the other shape must be a rectangular face.

Properties

See also: Property editor.

A Part Wedge object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Wedge

  • DonnéesXmin (Distance): The lowest X coordinate of the front face of the wedge. The default is 0mm.
  • DonnéesYmin (Distance): The Y coordinate of the front face of the wedge. The default is 0mm.
  • DonnéesZmin (Distance): The lowest Z coordinate of the front face of the wedge. The default is 0mm.
  • DonnéesX2min (Distance): The lowest X coordinate of the rear face of the wedge. The default is 2mm.
  • DonnéesZ2min (Distance): The lowest Z coordinate of the rear face of the wedge. The default is 2mm.
  • DonnéesXmax (Distance): The highest X coordinate of the front face of the wedge. The default is 10mm.
  • DonnéesYmax (Distance): The Y coordinate of the rear face of the wedge. The default is 10mm.
  • DonnéesZmax (Distance): The highest Z coordinate of the front face of the wedge. The default is 10mm.
  • DonnéesX2max (Distance): The highest X coordinate of the rear face of the wedge. The default is 8mm.
  • DonnéesZ2max (Distance): The highest Z coordinate of the rear face of the wedge. The default is 8mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Wedge can be created with the addObject() method of the document:

wedge = FreeCAD.ActiveDocument.addObject("Part::Wedge", "myWedge")
  • Where "myWedge" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

wedge = doc.addObject("Part::Wedge", "myWedge")
wedge.Xmin = 1
wedge.Ymin = 2
wedge.Zmin = 3
wedge.X2min = 4
wedge.Z2min = 6
wedge.Xmax = 15
wedge.Ymax = 20
wedge.Zmax = 55
wedge.X2max = 10
wedge.Z2max = 12
wedge.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()